PUT /WorkApps/{workAppId}/PermissionLevels/{permissionLevelId}/Policies/{requestType}
Update the policy for a specific permission level within an app for a given request type.
Updates the policy assigned to a specific permission level within a Work App for a given request type.
Public API key used to identify the client application. It should be included in all requests.
The Work App's unique identifier.
The permission level's unique identifier.
API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.
YOUR_API_SECRETRequest model used to update the policy applied when a request is created for a specific permission level.
Identifier of the policy to apply.
No Content
No content
Unauthorized
Not Found
Conflict
Internal Server Error
PUT /api/v1/WorkApps/{workAppId}/PermissionLevels/{permissionLevelId}/Policies/{requestType} HTTP/1.1
Host: open-api.getcakewalk.io
X-API-KEY: YOUR_API_KEY
X-API-SECRET: YOUR_API_SECRET
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"policyId": "123e4567-e89b-12d3-a456-426614174000"
}No content
Last updated
Was this helpful?